## org.gnu.gtk
Class CellRendererCombo

    java.lang.Object
      org.gnu.glib.GObject
          org.gnu.gtk.CellRenderer
              org.gnu.gtk.CellRendererText
                  org.gnu.gtk.CellRendererCombo

public class CellRendererCombo
extends CellRendererText

Nested Class Summary

Nested classes inherited from class org.gnu.gtk.CellRendererText
`CellRendererText.Attribute`

Field Summary

Fields inherited from class org.gnu.glib.GObject
`eventsInitialized`

Constructor Summary
`CellRendererCombo()`

Method Summary
`boolean` `getHasEntry()`
`protected static boolean` `getHasEntry(Handle renderer)`
`TreeModel` `getModel()`
`protected static Handle` `getModel(Handle renderer)`
`int` `getTextColumn()`
`protected static int` `getTextColumn(Handle renderer)`
`protected static int` `gtk_cell_renderer_combo_get_type()`
`protected static Handle` `gtk_cell_renderer_combo_new()`
`void` `setHasEntry(boolean hasEntry)`
`protected static void` `setHasEntry(Handle renderer, boolean hasEntry)`
`protected static void` `setModel(Handle renderer, Handle model)`
`void` `setModel(TreeModel model)`
`protected static void` `setTextColumn(Handle renderer, int textColumn)`
`void` `setTextColumn(int column)`

Methods inherited from class org.gnu.gtk.CellRendererText
`addListener, fireCellRendererTextEvent, getEventListenerClass, getEventType, getFont, getType, gtk_cell_renderer_text_get_type, gtk_cell_renderer_text_new, gtk_cell_renderer_text_set_fixed_height_from_font, gtk_getFont, gtk_setAttributes, gtk_setFont, gtk_setProperty, gtk_setUnderLine, removeListener, setAttributes, setEditable, setFont, setUnderline`

Methods inherited from class org.gnu.gtk.CellRenderer
`gtk_cell_renderer_activate, gtk_cell_renderer_get_fixed_size, gtk_cell_renderer_get_size, gtk_cell_renderer_get_type, gtk_cell_renderer_render, gtk_cell_renderer_set_fixed_size, gtk_cell_renderer_start_editing, gtk_cell_renderer_stop_editing`

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, equals, freezeNotify, getBooleanProperty, getData, getData, getDoubleProperty, getFloatProperty, getGObjectFromHandle, getHandle, getIntFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getNullHandle, getPixbufProperty, getProperty, getStringFromHandle, getStringProperty, hashCode, hasProperty, instantiateJGObjectFromGType, notify, removeEventHandler, removeListener, retrieveGObject, setBooleanProperty, setData, setData, setDoubleProperty, setFloatProperty, setHandle, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CellRendererCombo

    public CellRendererCombo()

Method Detail

### getModel

    public TreeModel getModel()

### setModel

    public void setModel(TreeModel model)

### getTextColumn

    public int getTextColumn()

### setTextColumn

    public void setTextColumn(int column)

### getHasEntry

    public boolean getHasEntry()

### setHasEntry

    public void setHasEntry(boolean hasEntry)

### getModel

    protected static final Handle getModel(Handle renderer)

### setModel

    protected static final void setModel(Handle renderer,
                                         Handle model)

### getTextColumn

    protected static final int getTextColumn(Handle renderer)

### setTextColumn

    protected static final void setTextColumn(Handle renderer,
                                              int textColumn)

### getHasEntry

    protected static final boolean getHasEntry(Handle renderer)

### setHasEntry

    protected static final void setHasEntry(Handle renderer,
                                            boolean hasEntry)

### gtk_cell_renderer_combo_get_type

    protected static final int gtk_cell_renderer_combo_get_type()

### gtk_cell_renderer_combo_new

    protected static final Handle gtk_cell_renderer_combo_new()